<template>
	<mind-layout>
		<mind-dashboard>
			<mind-widget-container width="4" height="3" title="Up Time"  color="#20c5d8"
				refresh refresh-interval="60" @refresh="fetchStatus" 
				v-loading="loading">
				<core-status :data="coreStatus" />
			</mind-widget-container>
			<mind-widget-container width="6" height="3" title=""  color="#f2e084" >				
			</mind-widget-container>
			<mind-widget-container width="2" height="2"  color="#f8deec" title="Asterisk Version"
				@refresh="fetchVersion">
				<mind-widget-indicator-text  valueSize="2.4vh" :value="coreVeresion" />
			</mind-widget-container>
			<mind-widget-container width="2" height="4" title=""  color="#9896f1">				
			</mind-widget-container>
			<mind-widget-container width="6" height="3" title=""  color="#ec895e" >
			</mind-widget-container>
			<mind-widget-container width="4" height="3" title="Información del Sistema"  color="#e0ffcd"
				refresh @refresh="fetchSysInfo" refresh-interval="60">
				<core-sys-info :data="coreSysInfo" />
			</mind-widget-container>
		</mind-dashboard>
	</mind-layout>
</template>

<script>
import {Rest} from '@/../modules/mind-core-vue'
import coreStatus from '@/components/widgets/core-status'
import coreSysInfo from '@/components/widgets/core-sysinfo'
export default {
  components: {
		coreStatus,
		coreSysInfo
	},
	methods: {
		async fetchStatus() {
			this.loading = true;
			const api = new Rest({
				uri: `api/ami/core-status`, 
				key: 'id'})

			this.coreStatus = await api.FetchAll()
			.catch((error)=>{
				this.$message({
					showClose: true,
					type: 'error',
					message: error
				});

			})
			this.loading = false
		},
		async fetchVersion() {
			this.loading = true;
			const api = new Rest({
				uri: `api/ami/core-version`, 
				})

			this.coreVeresion = await api.FetchAll()
			.catch((error)=>{
				this.$message({
					showClose: true,
					type: 'error',
					message: error
				});

			})
			this.loading = false
		},	
		async fetchSysInfo() {
			this.loading = true;
			const api = new Rest({
				uri: `api/ami/core-sysinfo`, 
				})

			this.coreSysInfo = await api.FetchAll()
			.catch((error)=>{
				this.$message({
					showClose: true,
					type: 'error',
					message: error
				});

			})
			this.loading = false
		},	
	},
	data() {
		return {
			coreStatus: null,
			coreVeresion: null,
			coreSysInfo: null,
			loading: false,
		}
	}
}
</script>
<style scoped>



</style>
